BITCOIN-CLI(1)

NAME
bitcoin-cli - manual page for bitcoin-cli v0.18.0.0

SYNOPSIS
bitcoin-cli [options] <command> [params] Send command to Bitcoin Core
bitcoin-cli [options] -named <command> [name=value]... Send command to Bitcoin Core (with named arguments)
bitcoin-cli [options] help List commands
bitcoin-cli [options] help <command> Get help for a command

DESCRIPTION
Bitcoin Core RPC client version v0.18.0.0

OPTIONS

-?

    Print this help message and exit

-conf=<file>

    Specify configuration file. Relative paths will be prefixed by datadir location. (default: bitcoin.conf)

-datadir=<dir>

    Specify data directory

-getinfo

    Get general information from the remote server. Note that unlike server-side RPC calls, the results of -getinfo is the result of multiple non-atomic requests. Some entries in the result may represent results from different states (e.g. wallet balance may be as of a different block from the chain state reported)

-named

    Pass named instead of positional arguments (default: false)

-rpcclienttimeout=<n>

    Timeout in seconds during HTTP requests, or 0 for no timeout. (default: 900)

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpccookiefile=<loc>

    Location of the auth cookie. Relative paths will be prefixed by a net-specific datadir location. (default: data dir)

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 8332, testnet: 18332, regtest: 18443)

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcwait

    Wait for RPC server to start

-rpcwallet=<walletname>

    Send RPC for non-default wallet on RPC server (needs to exactly match corresponding -wallet option passed to bitcoind). This changes the RPC endpoint used, e.g. http://127.0.0.1:8332/wallet/<walletname>

-stdin

    Read extra arguments from standard input, one per line until EOF/Ctrl-D (recommended for sensitive information such as passphrases). When combined with -stdinrpcpass, the first line from standard input is used for the RPC password.

-stdinrpcpass

    Read RPC password from standard input as a single line. When combined with -stdin, the first line from standard input is used for the RPC password.

-version

    Print version and exit

Chain selection options:

-testnet

    Use the test chain

COPYRIGHT
Copyright (C) 2009-2019 The Bitcoin Core developers Please contribute if you find Bitcoin Core useful. Visit <https://bitcoincore.org> for further information about the software. The source code is available from <https://github.com/bitcoin/bitcoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT> This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.